package com.kingdee.eas.custom.integration.apimgt;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractApiRegistryBillInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractApiRegistryBillInfo()
    {
        this("id");
    }
    protected AbstractApiRegistryBillInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:接口注册单's 接口路径property 
     */
    public String getApiPath()
    {
        return getString("apiPath");
    }
    public void setApiPath(String item)
    {
        setString("apiPath", item);
    }
    /**
     * Object:接口注册单's 接口描述property 
     */
    public String getApiDesc()
    {
        return getString("apiDesc");
    }
    public void setApiDesc(String item)
    {
        setString("apiDesc", item);
    }
    /**
     * Object:接口注册单's 是否需要鉴权property 
     */
    public boolean isIsAuthRequired()
    {
        return getBoolean("isAuthRequired");
    }
    public void setIsAuthRequired(boolean item)
    {
        setBoolean("isAuthRequired", item);
    }
    /**
     * Object:接口注册单's 请求方式property 
     */
    public String getHttpMethod()
    {
        return getString("httpMethod");
    }
    public void setHttpMethod(String item)
    {
        setString("httpMethod", item);
    }
    /**
     * Object:接口注册单's 是否忽略调用记录property 
     */
    public boolean isIsSkipCallLog()
    {
        return getBoolean("isSkipCallLog");
    }
    public void setIsSkipCallLog(boolean item)
    {
        setBoolean("isSkipCallLog", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("54974055");
    }
}